var img1, img2, img3;
var bmp, spriteSheet, rabt_animation1;

var gameObjArr = [[],[],[],[],[],[],[],[],[]];

var currentRabbit;

var stage = new createjs.Stage("gameCanvas");
stage.scaleX = 1.0;
stage.scaleY = 1.0;
createjs.Ticker.setFPS(30);
createjs.Ticker.addEventListener("tick", stage);

function addGameObj() {
	img1 = new Image();
	img1.src = "asset/green_dot.png"; //unselected
	img2 = new Image();
	img2.src = "asset/bunny1.png";
	img3 = new Image();
	img3.src = "asset/cat_face.png"; //selected
  img1.onload = function(){
     for (var row = 0; row < 9; row++) {
		for (var col = 0; col < 9; col++) {
			bmp = new createjs.Bitmap(img1);
			bmp.x = row % 2 ? col * 28 + 10 : col * 28;
			bmp.y = row * 28;
			gameObjArr[row][col] = bmp;
			bmp.alpha = 0.5;
			stage.addChildAt(bmp,0);  // add them first
				
			if (row == 4 && col == 4) {
			var px = row % 2 ? col * 28 + 10 : col * 28;
			var py = row* 28;
			
			spriteSheet = new createjs.SpriteSheet({
        	images: [ img2 ],
        	frames: { width: 40, height: 35, count: 10, regX:6, regY:9 },
        	animations: {
            	show: {
					frames: [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9],
				    next: true,
				    speed: 0.2 }
        		}
			});
			
			rabt_animation1 = new createjs.Sprite(spriteSheet);
			rabt_animation1.gotoAndPlay('show');
			rabt_animation1.x = px;
			rabt_animation1.y = py;
			currentRabbit = rabt_animation1;
			stage.addChild(rabt_animation1);	
			}
			bmp.addEventListener("click", dotClicked);
      }
    }
	  var arr = [];
	  var counter = 0;
	// Generate 5 randomly selected cats
	for(var m=0; m<25; m++){
		var randRow = (Math.floor(Math.random()*4) || 
			Math.floor(Math.random()*4+5));
		var randCol = (Math.floor(Math.random()*4) || 
			Math.floor(Math.random()*4+5)); 
		var temp = [randRow, randCol];
		if(contain(arr, temp)===false){
			arr.push(temp);}
		if(arr.length == 5) { break;}
	}
	  
	for(var x=0; x<arr.length; x++){
		for (var row = 0; row < 9; row++) {
			for (var col = 0; col < 9; col++) {
				if(row == arr[x][0] && col == arr[x][1]){
					gameObjArr[row][col].image = img3;
					gameObjArr[row][col].alpha = 1;	
					stage.addChild(gameObjArr[row][col]);
				}
			}
		}
	}
 };
 stage.update();
} 

function contain(arr, subArr){
	var isContained = false;
	var counter = 0;
	for(var i=0; i<arr.length; i++){
		if(JSON.stringify(arr[i])==JSON.stringify(subArr)){
			counter++; }	
	}
	if(counter === 0){return isContained;}
}

addGameObj();

function startGame(){
	document.getElementById("start").style.display="none";
	document.getElementById("gameScene").style.opacity=1;
	document.getElementById("background").style.opacity=1;
	playBgSound();
	promptMsg();
}

function promptMsg(){
	document.getElementById("msgDiv").style.zIndex=1;
	document.getElementById("msgTxt").innerHTML="<img src='asset/smiley.png'>"+"<br>"+"Your bunny is running away."+"<br>"+ "Capture it!";
	$('#msgDiv').fadeIn(3000, function() {}); 
	$('#msgDiv').fadeOut(3000, function() {}); 
	document.getElementById("soundConfigBtn").disabled=false;
	document.getElementById("gameInfoBtn").disabled=false;
}
