function aiWalk(){
	minPathWalk();
}

// Get the shortest path
function minPath(){
	var walkpath = generatePath();
	var lengthArr = [];
	var minPathLength;
	var minPathArr = [];
	if(walkpath.length > 0){
	  for(var v=0; v < walkpath.length; v++){
		  lengthArr.push(walkpath[v].length);
	  } 
	minPathLength = Math.min.apply(Math, lengthArr);
	for(var i=0; i < walkpath.length; i++){
		if(walkpath[i].length == minPathLength){
			minPathArr.push(walkpath[i]);
		}
	}
		return minPathArr;
   }
	else {return minPathArr.length;}
}

function minPathWalk(){
	var minWalkPath = minPath();
	if(minWalkPath.length >0){
		var randPos = Math.floor(Math.random() * minWalkPath.length);
		currentRabbit.x = minWalkPath[randPos][1].x;
		currentRabbit.y = minWalkPath[randPos][1].y;
		playMoveSound(); 
		moveCounter++;
	}
	else { 
		img2.src = "asset/bunny2.png"; 
		maxPathWalk(); 
	}
}

// Get the longest path when the rabbit is trapped
function maxPath(){
	var lengthArr = [];	
	var maxPathLength;
	var walkablePath = initPath();
  if(walkablePath.length > 0) {
	 for(var v=0; v<walkablePath.length; v++){
		var pathLength = walkablePath[v].length;
		 for(var w=0; w<pathLength; w++){
		  if(walkablePath[v][w]==walkablePath[v][pathLength-1]){ 	
		   for(var i = 0; i < gameObjArr.length; i++){
			for(var j = 0; j < gameObjArr[i].length; j++){
			 if(isNeighbor(walkablePath[v][w], gameObjArr[i][j])===true && 
				gameObjArr[i][j].image != img3) {	   
				var neighborsOfPreNodesOnPath = 0; 
				for(var n=1; n<=w; n++){ 
				   if(isNeighbor(gameObjArr[i][j], walkablePath[v][w-n])===true)
					 {neighborsOfPreNodesOnPath++;}
				   }
				 if(neighborsOfPreNodesOnPath===0){	
	walkablePath.push(walkablePath[v].concat([gameObjArr[i][j]]));}
			   } 
			  }	
			 } // end of for loop of gameObjArr array
			}  // end of if 
		  } 
		}// end of for loop of walkablePath array
	    for(var m=0; m<walkablePath.length; m++){
		 	lengthArr.push(walkablePath[m].length);
		 }	
		maxPathLength = Math.max.apply(Math, lengthArr);
		for(var n=0; n < walkablePath.length; n++){
			if( walkablePath[n].length == maxPathLength){
			return walkablePath[n]; }
		} 
   } // end of if
	else {return walkablePath.length;}
}

function maxPathWalk(){
	var maxWalkPath = maxPath();
	if(maxWalkPath.length > 0){
	currentRabbit.x = maxWalkPath[1].x;
	currentRabbit.y = maxWalkPath[1].y; 
	playTrappedSound();
	moveCounter++;
	}
    else { win(); setRecord();}
} 
