var bgSound = "bgSound";
var moveSound = "moveSound";
var trappedSound = "trappedSound";
var loopMediaflag =true; // flag to prevent restart of media on state change function

function showSoundOption(){
	var width = $("#gameScene").width();
	$(function() {
		$( "#soundDialog").dialog({ 
			width: width, 
			modal: true}); 
		}
	 );
}

function preloadSound(){
	// Preload audio resources
	if(window.plugins && window.plugins.NativeAudio){
		window.plugins.NativeAudio.preloadComplex(bgSound, "asset/happy_adventure.mp3", 1, 1, 0, function(msg){
		}, function(msg){
			console.log( "error: " + msg );
		});
		
		window.plugins.NativeAudio.preloadSimple(moveSound, "asset/cartoon_throw.mp3", function(msg){
		}, function(msg){
			console.log( "error: " + msg );
		});
		
		window.plugins.NativeAudio.preloadSimple(trappedSound, "asset/teleport.mp3", function(msg){
		}, function(msg){
			console.log( "error: " + msg );
		});
	}
}

function playBgSound(){
	if( window.plugins && window.plugins.NativeAudio ) {
		// Play
		if(loopMediaflag === true){
			window.plugins.NativeAudio.loop( bgSound );
		}
	}
}

function toggleBgSound(){
	var btn = document.getElementById("bgSoundBtn");
	var txt = btn.textContent || btn.innerText;
	
	if(txt == "Turn off the background music"){
		document.getElementById("bgSoundBtn").innerHTML ="Turn on the background music";
		window.plugins.NativeAudio.stop( bgSound );
	}
	
	else if(txt == "Turn on the background music"){
		document.getElementById("bgSoundBtn").innerHTML ="Turn off the background music";
		window.plugins.NativeAudio.loop( bgSound );
		} 
}

function playMoveSound(){	
	var btn = document.getElementById("moveSoundBtn");
	var txt = btn.textContent || btn.innerText;
	
	if( window.plugins && window.plugins.NativeAudio ) {
		if(txt == "Turn off the movement sound") {
			window.plugins.NativeAudio.play( moveSound );
		} else if(txt == "Turn on the movement sound"){ return;}
	}	
}

function playTrappedSound(){
	var btn = document.getElementById("trappedSoundBtn");
	var txt = btn.textContent || btn.innerText;
	
	if( window.plugins && window.plugins.NativeAudio ) {
		if(txt == "Turn off the trapped sound") {
			window.plugins.NativeAudio.play(trappedSound);
		} else if(txt == "Turn on the trapped sound"){ return;}
	}
}

function toggleMoveSoundTxt(){
	var btn = document.getElementById("moveSoundBtn");
	var txt = btn.textContent || btn.innerText;
	
	if(txt == "Turn off the movement sound"){
		document.getElementById("moveSoundBtn").innerHTML ="Turn on the movement sound";
	}
	
	else if(txt == "Turn on the movement sound"){
		document.getElementById("moveSoundBtn").innerHTML ="Turn off the movement sound";
		} 
}

function toggleTrappedSoundTxt(){
	var btn = document.getElementById("trappedSoundBtn");
	var txt = btn.textContent || btn.innerText;
	
	if(txt == "Turn off the trapped sound"){
		document.getElementById("trappedSoundBtn").innerHTML ="Turn on the trapped sound";
	}
	
	else if(txt == "Turn on the trapped sound"){
		document.getElementById("trappedSoundBtn").innerHTML ="Turn off the trapped sound";
	} 
}